interface ImageData {
    id: number;
    tags?: string;
    tag_string?: string;
    created_at?: string | number;
    source: string;
    score: string;
    file_url?: string;
    file_size: number;
    preview_file_url?: string;
    preview_url?: string;
    large_file_url?: string;
    sample_url?: string;
    rating: string;
    height?: number;
    image_height?: number;
    width?: number;
    image_width?: number;
    directory: string;
    image: string;
    success?: string;
    message?: string;
}
declare class Image {
    protected data: ImageData;
    private readonly site;
    id: number;
    tags: string[];
    createdAt?: Date | undefined;
    source?: string;
    score: number;
    fileURL: string;
    fileSize?: number;
    previewURL?: string | undefined;
    sampleURL?: string | undefined;
    rating: string;
    width: number;
    height: number;
    constructor(data: ImageData, site: string);
}

interface SearchRequest {
    tags?: string[];
    exclude?: string[];
    limit?: number;
    random?: boolean;
}
declare function search(site: string, { tags, exclude, limit, random }?: SearchRequest): Promise<Image[]>;

export { search };
